post
https://partner.gupshup.io/partner/bizgate/app//embed-onboarding/phone-migration
Kicks off the phone-number migration flow that moves an existing WhatsApp number onto the embedded signup pipeline for this app.
Request parameters
Path parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| appId | Identifier of the WhatsApp app the call acts on. | 6f414190-d45c-4671-bca1-fb6c3018cb13 | String | Required |
Query parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| migrationStatus | Migration state to record against the app. META_EMBED_MIGRATION if the app is not live yet, MIGRATED_IN if it already is. | META_EMBED_MIGRATION | String | Required |
Sample cURL — Initiate phone migration.
curl --request POST \
--url 'https://partner.gupshup.io/partner/bizgate/app/6f414190-d45c-4671-bca1-fb6c3018cb13/embed-onboarding/phone-migration?migrationStatus=META_EMBED_MIGRATION' \
--header 'Authorization: Bearer <UT>' \
--header 'Accept: application/json'Sample success response (200)
{
"status": "success",
"data": {
"whatsapp": {
"businessId": "104229822776062",
"countryCode": 91,
"createdOn": 1713430478907,
"creationStage": "DOCKER_PROVISIONING",
"dialCode": "91",
"displayName": "AcmeSupport",
"embedLiveCheckTimestamp": 0,
"embedStage": "EMBED_PHONE_SELECTION",
"fbBusinessId": "1094739284756201",
"fbVerificationBypassed": false,
"formattedPhoneNumber": "+91 98765 43210",
"goLiveProcessRequestEmailSent": false,
"id": "39ebad1e-7eab-4f07-aaee-d454e0cf00ac",
"lastPNDNCheckTimestamp": 0,
"lastWABACheckTimestamp": 0,
"migrationStatus": "META_EMBED_MIGRATION",
"migrationTime": 1719297738982,
"modifiedOn": 1719297738982,
"normalizedPhoneNumber": "91XXXXXXXX10",
"pipeLineStage": "GET_CERTIFICATE",
"pndnApprovalTimestamp": 0,
"preferredCurrency": "INR",
"preferredLocale": "en_US",
"preferredTimezone": "71",
"providedAccessToGupshup": false,
"regionCode": "IN",
"stageRetries": 0,
"uiFormStage": "GO_LIVE_FLOW_SELECTED",
"wabaApprovalTimestamp": 0,
"whatsappVerificationStatus": "WABA_APPROVED"
}
}
}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…